# Class CIM_OSVersionCheck
extends CIM_Check

The OSVersionCheck class specifies the versions of the operating system that can support/execute this Software Element. The operating system itself (whose version should be validated) is defined in the TargetOperatingSystem property of the Check's scoping SoftwareElement. This Check can be for a specific, minimum, maximum or a range of releases of an OS. To identify a specific version of the OS, the minimum and maximum versions must be the same. To specify a minimum, only the minimum version needs to be defined. To specify a maximum version, only the maximum version needs to be defined. To specify a range, both minimum and maximum versions need to be defined. The data gathered from the Check and SoftwareElement objects are compared with the corresponding details found in the CIM_OperatingSystem object (referenced by the InstalledOS association), for the CIM_ComputerSystem object that defines the environment. The OSType property of CIM_OperatingSystem must match the value of CIM_SoftwareElement.TargetOperating System. Also, the OS' version information should be within the range of CIM_OSVersionCheck.Minimum/MaximumValue properties. Note that all the operating systems on the relevant computer do not need to satisfy the Check.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Check
|
+--CIM_OSVersionCheck

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

The OSVersionCheck class specifies the versions of the operating system that can support/execute this Software Element. The operating system itself (whose version should be validated) is defined in the TargetOperatingSystem property of the Check's scoping SoftwareElement. This Check can be for a specific, minimum, maximum or a range of releases of an OS. To identify a specific version of the OS, the minimum and maximum versions must be the same. To specify a minimum, only the minimum version needs to be defined. To specify a maximum version, only the maximum version needs to be defined. To specify a range, both minimum and maximum versions need to be defined. The data gathered from the Check and SoftwareElement objects are compared with the corresponding details found in the CIM_OperatingSystem object (referenced by the InstalledOS association), for the CIM_ComputerSystem object that defines the environment. The OSType property of CIM_OperatingSystem must match the value of CIM_SoftwareElement.TargetOperating System. Also, the OS' version information should be within the range of CIM_OSVersionCheck.Minimum/MaximumValue properties. Note that all the operating systems on the relevant computer do not need to satisfy the Check.

UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MaximumVersion | string |
Description | string | Maximum version of the required operating system. The value is encoded as <major>.<minor>.<revision> or <major>.<minor><letter revision>.
MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_OperatingSystem.Version
MinimumVersion | string |
Description | string | Minimum version of the required operating system. The value is encoded as <major>.<minor>.<revision> or <major>.<minor><letter revision>.
MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_OperatingSystem.Version

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CheckID | string | CIM_Check
CheckMode | boolean | CIM_Check
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Check
SoftwareElementID | string | CIM_Check
SoftwareElementState | uint16 | CIM_Check
TargetOperatingSystem | uint16 | CIM_Check
Version | string | CIM_Check

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Check
InvokeOnSystem | uint32 | CIM_Check